> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/api/brackets.md).

# Brackets

## Create Order Brackets

> Creates brackets for a specific order by its unique identifier.\
> If the order is not found, a 404 error is raised.\
> \
> Args:\
> order\_id (str): The unique identifier of the order to create brackets for.\
> \
> Returns:\
> dict: A response indicating the success or failure of the operation.\
> \
> Raises:\
> HTTPException: If the order is not found, a 404 error is raised.

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Brackets"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"BracketIn":{"properties":{"metadata":{"additionalProperties":{},"description":"Metadata for the image.","type":"object"},"name":{"pattern":"^[^/]+$","type":"string"},"order_id":{"minLength":1,"type":"string"}},"required":["name","order_id"],"type":"object"},"BracketCreatedOut":{"additionalProperties":false,"properties":{"bracket_id":{"type":"string"},"image_id":{"readOnly":true},"is_uploaded":{"type":"boolean"},"metadata":{"additionalProperties":{},"description":"Metadata for the bracket.","type":"object"},"name":{"type":"string"},"order_id":{"readOnly":true},"upload_url":{"readOnly":true}},"type":"object"},"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"},"ValidationError":{"properties":{"detail":{"properties":{"<location>":{"properties":{"<field_name>":{"items":{"type":"string"},"type":"array"}},"type":"object"}},"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/brackets/":{"post":{"description":"Creates brackets for a specific order by its unique identifier.\nIf the order is not found, a 404 error is raised.\n\nArgs:\norder_id (str): The unique identifier of the order to create brackets for.\n\nReturns:\ndict: A response indicating the success or failure of the operation.\n\nRaises:\nHTTPException: If the order is not found, a 404 error is raised.","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BracketIn"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BracketCreatedOut"}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Validation error"}},"summary":"Create Order Brackets","tags":["Brackets"]}}}}
```

## Fetch Order Brackets

> Fetch brackets for a specific order by its unique identifier.\
> If the order is not found, a 404 error is raised.\
> \
> Returns:\
> dict: A response indicating the success or failure of the operation.\
> \
> Raises:\
> HTTPException: If the order is not found, a 404 error is raised.

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Brackets"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"BracketOut":{"additionalProperties":false,"properties":{"bracket_id":{"type":"string"},"image_id":{"readOnly":true},"is_uploaded":{"type":"boolean"},"metadata":{"additionalProperties":{},"description":"Metadata for the bracket.","type":"object"},"name":{"type":"string"},"order_id":{"readOnly":true}},"type":"object"},"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/brackets/{bracket_id}":{"get":{"description":"Fetch brackets for a specific order by its unique identifier.\nIf the order is not found, a 404 error is raised.\n\nReturns:\ndict: A response indicating the success or failure of the operation.\n\nRaises:\nHTTPException: If the order is not found, a 404 error is raised.","parameters":[{"in":"path","name":"bracket_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BracketOut"}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"}},"summary":"Fetch Order Brackets","tags":["Brackets"]}}}}
```

## Delete Order Brackets

> Deletes brackets for a specific order by its unique identifier.\
> If the order is not found, a 404 error is raised.\
> \
> Returns:\
> dict: A response indicating the success or failure of the operation.\
> \
> Raises:\
> HTTPException: If the order is not found, a 404 error is raised.

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Brackets"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/brackets/{bracket_id}":{"delete":{"description":"Deletes brackets for a specific order by its unique identifier.\nIf the order is not found, a 404 error is raised.\n\nReturns:\ndict: A response indicating the success or failure of the operation.\n\nRaises:\nHTTPException: If the order is not found, a 404 error is raised.","parameters":[{"in":"path","name":"bracket_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"}},"summary":"Delete Order Brackets","tags":["Brackets"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/api/brackets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
